Update Notification Settings
curl --request PATCH \
--url https://api.example.com/cabinet/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscription_expiry_enabled": true,
"subscription_expiry_days": 15,
"traffic_warning_enabled": true,
"traffic_warning_percent": 74,
"balance_low_enabled": true,
"balance_low_threshold": 1,
"news_enabled": true,
"promo_offers_enabled": true
}
'import requests
url = "https://api.example.com/cabinet/notifications"
payload = {
"subscription_expiry_enabled": True,
"subscription_expiry_days": 15,
"traffic_warning_enabled": True,
"traffic_warning_percent": 74,
"balance_low_enabled": True,
"balance_low_threshold": 1,
"news_enabled": True,
"promo_offers_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subscription_expiry_enabled: true,
subscription_expiry_days: 15,
traffic_warning_enabled: true,
traffic_warning_percent: 74,
balance_low_enabled: true,
balance_low_threshold: 1,
news_enabled: true,
promo_offers_enabled: true
})
};
fetch('https://api.example.com/cabinet/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription_expiry_enabled": true,
"subscription_expiry_days": 3,
"traffic_warning_enabled": true,
"traffic_warning_percent": 80,
"balance_low_enabled": true,
"balance_low_threshold": 100,
"news_enabled": true,
"promo_offers_enabled": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Notifications
Update Notification Settings
Update user’s notification settings.
PATCH
/
cabinet
/
notifications
Update Notification Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Update notification settings.
Required range:
1 <= x <= 30Required range:
50 <= x <= 99Required range:
x >= 0Response
Successful Response
User notification settings.
⌘I
